---
title: 'ARIA: article role'
slug: Web/Accessibility/ARIA/Roles/Article_Role
tags:
  - ARIA
  - ARIA Role
  - ARIA article role
  - Article
  - Article role
  - Reference
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p class="summary"><span class="seoSummary">The <code>article</code> role indicates a section of a page that could easily stand on its own on a page, in a document, or on a website. It is usually set on related content items such as comments, forum posts, newspaper articles or other items grouped together on one page.</span></p>

<pre class="brush: html">&lt;div role="article"&gt;
&lt;h2&gt;Heading of the segment&lt;/h2&gt;
&lt;p&gt;Paragraph for the segment.&lt;/p&gt;
&lt;p&gt;Another paragraph.&lt;/p&gt;
... controls to interact with the article, share it, etc. ...
&lt;/div&gt;
&lt;div role="article"&gt; ... &lt;/div&gt;
</pre>

<p>This example shows two articles side by side on one page that could be structured similarly and are related.</p>

<div class="note">
<p>Instead of a <code>div</code> with an <code>article</code> role, use the &lt;article&gt; element. <span class="ILfuVd yZ8quc">Always use native element if available</span>.</p>
</div>

<p>Instead of using <code>role="article"</code>, the <code>&lt;<a href="/en-US/docs/Web/HTML/Element/article">article</a>&gt;</code> element can be used.</p>

<pre class="brush: html">&lt;article&gt;
&lt;h2&gt;Heading of the segment&lt;/h2&gt;
&lt;p&gt;Paragraph for the segment.&lt;/p&gt;
&lt;p&gt;Another paragraph.&lt;/p&gt;
... controls to interact with the article, share it, etc. ...
&lt;/article&gt;
&lt;article&gt; ... &lt;/article&gt;
</pre>

<h2 id="Description">Description</h2>

<p>The <code>article</code> role denotes a section of a document, page, or site that, if it were standing on its own, could be viewed as a complete document, page or site. The aim of a set of article sections is to indicate their relationship to one another.</p>

<p>Articles are not considered a navigational landmark, but many assistive technologies that support landmarks also support a means to navigate among articles. They may also support indication of nesting relationships within articles.</p>

<p>Articles can be nested, indicating that a nested article directly relates to the one it is nested in, but not necessarily to the ones outside the nesting hierarchy. See the examples for specific use cases.</p>

<p>If an article is part of a feed, it can have the <code>aria-posinset</code> and <code>aria-setsize </code>attributes set to indicate which position within the feed this particular article represents.</p>

<p>Inside an <code>application</code> or other widget that causes screen readers and other assistive technologies to be in pass-through mode, an article can be used to indicate that these should switch back to treating the enclosed content as regular web content.</p>

<p>Instead of including the <code>article</code> role on a non-semantic element, the <code>&lt;<a href="/en-US/docs/Web/HTML/Element/article">article</a>&gt;</code> element should be used. User agents translate this to the appropriate accessibility information just like the article role. Using the &lt;article&gt; element also helps search engines better discover the structure of a page. Examples of appropriate uses of the <code>role="article"</code>, or preferably <code>&lt;article&gt;</code>, include blog posts, forum posts, a comment to a forum or blog post, a comment to a comment to a forum or blog post, any an item in a social media feed.</p>

<h3 id="Associated_WAI-ARIA_roles_states_and_properties">Associated WAI-ARIA roles, states, and properties</h3>

<dl>
 <dt>aria-posinset</dt>
 <dd>In the context of a feed, indicates the position of this particular article within that feed, based on a count starting at 1.</dd>
 <dt>aria-setsize</dt>
 <dd>In the context of a feed, indicates how many article items there are within that feed.</dd>
</dl>

<h3 id="Keyboard_interactions">Keyboard interactions</h3>

<p>This role does not support any specific keyboard interaction.</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<dl>
 <dt>Event handlers</dt>
 <dd>This role does not require any event handlers to be present.</dd>
 <dt>Changing attribute values</dt>
 <dd>When constructing a feed, set the <code>aria-posinset</code> and <code>aria-setsize</code> attributes on each article role to the appropriate values, bearing in mind that <code>aria-posinset</code> is 1-based.</dd>
</dl>

<div class="note">
<p><span class="ILfuVd yZ8quc">Always use native element if available</span>. Instead of a <code>div</code> with the <code>article</code> role, the &lt;article&gt; element should be used.</p>
</div>

<h2 id="Examples">Examples</h2>

<ul>
 <li>The <a href="https://www.w3.org/TR/wai-aria-practices-1.1/examples/feed/feedDisplay.html">restaurant recommendations feed display</a> along with its separate <a href="https://www.w3.org/TR/wai-aria-practices-1.1/examples/feed/feed.html">documentation</a> from the WAI-ARIA 1.1 authoring practices feed design pattern</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#article","article")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#feed","feed")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Precedence_order">Precedence order</h2>

<p>This role corresponds to the <code>&lt;<a href="/en-US/docs/Web/HTML/Element/article">article</a>&gt;</code> element in HTML, and that element should be used instead, if possible. This role does not require any specific roles to be present among its children. It is the only role allowed as a direct child of an element with the <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Feed_Role">feed</a></code> role.</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Feed_Role">feed role</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Section_Role">section role</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element/article">&lt;article&gt; element</a></li>
 <li><a href="/en-US/docs/Web/RSS/Article">RSS Article</a></li>
</ul>
